package com.example.backend.movies.api;

import jakarta.validation.constraints.NotBlank;

public class MovieUserDTO {

    MovieDTO movieDTO;

    @NotBlank
    private boolean isFavorite;

    @NotBlank
    private boolean isViewed;

    private Integer countViewes;

    public Integer getCountViewes() {
        return countViewes;
    }

    public void setCountViewes(Integer countViewes) {
        this.countViewes = countViewes;
    }

    public MovieDTO getMovieDTO() {
        return movieDTO;
    }

    public void setMovieDTO(MovieDTO movieDTO) {
        this.movieDTO = movieDTO;
    }

    public boolean isFavorite() {
        return isFavorite;
    }

    public void setFavorite(boolean isFavorite) {
        this.isFavorite = isFavorite;
    }

    public boolean isViewed() {
        return isViewed;
    }

    public void setViewed(boolean isViewed) {
        this.isViewed = isViewed;
    }

}
